package com.zehong.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TTradeChangeInfoMapper;
import com.zehong.system.domain.TTradeChangeInfo;
import com.zehong.system.service.ITTradeChangeInfoService;

/**
 * 交易项目转移信息Service业务层处理
 * 
 * @author zehong
 * @date 2023-09-12
 */
@Service
public class TTradeChangeInfoServiceImpl implements ITTradeChangeInfoService 
{
    @Autowired
    private TTradeChangeInfoMapper tTradeChangeInfoMapper;

    /**
     * 查询交易项目转移信息
     * 
     * @param changeId 交易项目转移信息ID
     * @return 交易项目转移信息
     */
    @Override
    public TTradeChangeInfo selectTTradeChangeInfoById(Long changeId)
    {
        return tTradeChangeInfoMapper.selectTTradeChangeInfoById(changeId);
    }

    /**
     * 查询交易项目转移信息列表
     * 
     * @param tTradeChangeInfo 交易项目转移信息
     * @return 交易项目转移信息
     */
    @Override
    public List<TTradeChangeInfo> selectTTradeChangeInfoList(TTradeChangeInfo tTradeChangeInfo)
    {
        return tTradeChangeInfoMapper.selectTTradeChangeInfoList(tTradeChangeInfo);
    }

    /**
     * 新增交易项目转移信息
     * 
     * @param tTradeChangeInfo 交易项目转移信息
     * @return 结果
     */
    @Override
    public int insertTTradeChangeInfo(TTradeChangeInfo tTradeChangeInfo)
    {
        return tTradeChangeInfoMapper.insertTTradeChangeInfo(tTradeChangeInfo);
    }

    /**
     * 修改交易项目转移信息
     * 
     * @param tTradeChangeInfo 交易项目转移信息
     * @return 结果
     */
    @Override
    public int updateTTradeChangeInfo(TTradeChangeInfo tTradeChangeInfo)
    {
        return tTradeChangeInfoMapper.updateTTradeChangeInfo(tTradeChangeInfo);
    }

    /**
     * 批量删除交易项目转移信息
     * 
     * @param changeIds 需要删除的交易项目转移信息ID
     * @return 结果
     */
    @Override
    public int deleteTTradeChangeInfoByIds(Long[] changeIds)
    {
        return tTradeChangeInfoMapper.deleteTTradeChangeInfoByIds(changeIds);
    }

    /**
     * 删除交易项目转移信息信息
     * 
     * @param changeId 交易项目转移信息ID
     * @return 结果
     */
    @Override
    public int deleteTTradeChangeInfoById(Long changeId)
    {
        return tTradeChangeInfoMapper.deleteTTradeChangeInfoById(changeId);
    }
}
